org.bouncycastle.bcpg

## Class ContainedPacket

- java.lang.Object
- - org.bouncycastle.bcpg.Packet
  - - org.bouncycastle.bcpg.ContainedPacket

All Implemented Interfaces:
  PacketTags

Direct Known Subclasses:
  ExperimentalPacket, MarkerPacket, ModDetectionCodePacket, OnePassSignaturePacket, PublicKeyEncSessionPacket, PublicKeyPacket, SecretKeyPacket, SignaturePacket, SymmetricKeyEncSessionPacket, TrustPacket, UserAttributePacket, UserIDPacket

    public abstract class ContainedPacket
    extends Packet

Basic type for a PGP packet.

### Field Summary

### Fields inherited from interface org.bouncycastle.bcpg.PacketTags

`COMPRESSED_DATA, EXPERIMENTAL_1, EXPERIMENTAL_2, EXPERIMENTAL_3, EXPERIMENTAL_4, LITERAL_DATA, MARKER, MOD_DETECTION_CODE, ONE_PASS_SIGNATURE, PUBLIC_KEY, PUBLIC_KEY_ENC_SESSION, PUBLIC_SUBKEY, RESERVED, SECRET_KEY, SECRET_SUBKEY, SIGNATURE, SYM_ENC_INTEGRITY_PRO, SYMMETRIC_KEY_ENC, SYMMETRIC_KEY_ENC_SESSION, TRUST, USER_ATTRIBUTE, USER_ID`

### Constructor Summary

Constructors
Constructor and Description
`ContainedPacket()`

### Method Summary

Methods
`abstract void` `encode(BCPGOutputStream pOut)`
`byte[]` `getEncoded()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContainedPacket

    public ContainedPacket()

### Method Detail

#### getEncoded

    public byte[] getEncoded()
                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### encode

    public abstract void encode(BCPGOutputStream pOut)
                         throws java.io.IOException

Throws:
  `java.io.IOException`